Eclipse Platform Release 3.7

## org.eclipse.jface.text.hyperlink
Interface IHyperlink

All Known Implementing Classes:
  URLHyperlink

    public interface IHyperlink

Represents a hyperlink.

Clients may implement this interface.

Since:
  3.1

Method Summary
`IRegion` `getHyperlinkRegion()` The region covered by this type of hyperlink.
`String` `getHyperlinkText()` Optional text for this hyperlink.
`String` `getTypeLabel()` Optional label for this type of hyperlink.
`void` `open()` Opens the given hyperlink.

Method Detail

### getHyperlinkRegion

    IRegion getHyperlinkRegion()

  The region covered by this type of hyperlink.

  Returns:
    the hyperlink region

### getTypeLabel

    String getTypeLabel()

  Optional label for this type of hyperlink.

  This type label can be used by `IHyperlinkPresenter`s which show several hyperlinks at once.

  Returns:
    the type label or `null` if none

### getHyperlinkText

    String getHyperlinkText()

  Optional text for this hyperlink.

  This can be used in situations where there are several targets for the same hyperlink location.

  Returns:
    the text or `null` if none

### open

    void open()

  Opens the given hyperlink.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.